<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Jet Theme Backend for Magento 2 (System)
 */

namespace Amasty\JetTheme\Api\Data;

interface FooterLinkSearchResultsInterface
{
    /**
     * @return FooterLinkInterface[]
     */
    public function getItems(): array;

    /**
     * @param FooterLinkInterface[] $items
     * @return FooterLinkSearchResultsInterface
     */
    public function setItems(array $items): FooterLinkSearchResultsInterface;
}
